org.jboss.jca.common.api.metadata.ds

## Enum Statement.TrackStatementsEnum

- java.lang.Object
- - java.lang.Enum<Statement.TrackStatementsEnum>
  - - org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Statement.TrackStatementsEnum>
  Enclosing interface:
    Statement

      public static enum Statement.TrackStatementsEnum
      extends java.lang.Enum<Statement.TrackStatementsEnum>

  A TrackStatementsEnum.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FALSE` false
    `NOWARN` NOWARN
    `TRUE` true

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Statement.TrackStatementsEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Statement.TrackStatementsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRUE

          public static final Statement.TrackStatementsEnum TRUE

      true

    - #### FALSE

          public static final Statement.TrackStatementsEnum FALSE

      false

    - #### NOWARN

          public static final Statement.TrackStatementsEnum NOWARN

      NOWARN

  - ### Method Detail

    - #### values

          public static Statement.TrackStatementsEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Statement.TrackStatementsEnum c : Statement.TrackStatementsEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Statement.TrackStatementsEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Statement.TrackStatementsEnum>`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)